# SWFMovie::saveToFile

(PHP 5 < 5.3.0, PECL ming SVN)

SWFMovie::saveToFile —

### Description

SWFMovie::saveToFile ( resource `$x` [, int `$compression` = -1 ] ) : int
Warning

This function is currently not documented; only its argument list is available.

### Parameters

`X`

`compression`

  The compression level can be a value between 0 and 9, defining the SWF compression similar to gzip compression.

  This parameter is only available as of Flash MX (6).

### Return Values

Return the number of bytes written or `FALSE` on error.

### See Also

- SWFMovie::output() - Dumps your lovingly prepared movie out
- SWFMovie::save() - Saves the SWF movie in a file